<?php
require_once('../classes/body.class.php');
require_once('../classes/db.class.php');
require_once('../classes/system.class.php');
$title= new Body;
$title->SetTitle('Форум - Новые темы');
$title->GetHeader();
echo'<div class="tile"><div class="t-header th-alt bg-teal"><div class="th-title"><i class="zmdi zmdi-widgets"></i><a href="/"style="text-decoration:none; color:white;"> Главная</a> :: Форум</div></div></div>';
echo'<div class="list-group-item media"><span class="label label-danger">Новые</span> <a href="newtheme.php">Темы</a> | <a href="newposts.php">Сообщения</a></br>';
if (isset($b)) {
echo'</br><span class="label label-danger">Мои</span> <a href="user_thems.php?id='.$b['id'].'">Темы</a> | <a href="user_posts.php?id='.$b['id'].'">Сообщения</a> | <a href="podpis.php">Наблюдаемые</a>';
}
echo'</div>';
echo'<div class="tile"><div class="t-header th-alt bg-teal"><div class="th-title"><i class="zmdi zmdi-widgets"></i><a href="/forum"style="text-decoration:none; color:white;"> Форум</a> :: Новые темы</div></div></div>';
echo'<div class="t-body"><div class="list-group lg-alt">';
$t = time() - 3600 * 100000;
$look = DB::$dbs -> querySingle("SELECT COUNT(id) FROM forum_topic WHERE time > ?", [$t]);
$num = 10;
$k_page = k_page($look, $num);
$page = page($k_page);
$start = $num*$page-$num;
$sql = DB::$dbs->query("SELECT * FROM forum_topic WHERE time > ? ORDER BY time DESC LIMIT $start,$num", [$t]);
if ($sql -> rowCount() == 0) {
err('Тем ещё нет!');
} else {
while($a = $sql->fetch()) {
$rid = DB::$dbs->queryFetch("SELECT name,id FROM forum_razdel WHERE id = ? LIMIT 1", [$a['rid']]);
$prid = DB::$dbs->queryFetch("SELECT name,id FROM forum_prazdel WHERE id = ? LIMIT 1", [$a['prid']]);
$us_mess = DB::$dbs->queryFetch("SELECT user_id,tid FROM forum_mess WHERE tid = ? ORDER BY time DESC", [$a['id']]);
$k_mess = DB::$dbs->querySingle("SELECT COUNT(id) FROM forum_mess WHERE tid = ?", [$a['id']]);
if ($k_mess > 10) {
$pg = ceil($k_mess / 10);
$st = ' <a href="/forum/thema'.$a['id'].'?page='.$pg.'">>></a>';
} else {
$st = '';
}
echo '<div class="list-group-item media"><a href="/forum/viewrazd.php?id='.$rid['id'].'"><i class="zmdi zmdi-book"></i> '.$rid['name'].'</a> > <a href="/forum/viewthem.php?id='.$prid['id'].'">'.$prid['name'].'</a> </br> <a href="/forum/thema'.$a['id'].'"><i class="zmdi zmdi-comments"></i> '.$a['name'].'</a> ['.$k_mess.'] ('.Nick($us_mess['user_id']).') '.$st.'</a></div>';
}
}
echo'<div class="tile"><div class="t-header th-alt bg-teal"><div class="th-title"><i class="zmdi zmdi-format-list-bulleted"></i>  <a href="/rules"style="text-decoration:none; color:white;">Правила</a> | <a href="/bbcodes"style="text-decoration:none; color:white;"> Справка BBcode</a> | <a href="/smiles"style="text-decoration:none; color:white;">Все смайлы</a> | <a href="search"style="text-decoration:none; color:white;">Поиск</a></div></div></div>'; 
if ($k_page>1) {
str('?', $k_page,$page);
} 

$title->GetMenu();
$title->GetFooter();
?>